Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Class OfficeDocumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  writer2latex.xmerge.OfficeDocumentException

All Implemented Interfaces:
  java.io.Serializable

    public final class OfficeDocumentException

extends java.io.IOException

Used by OfficeDocument to encapsulate exceptions. It will add more details to the message string if it is of type `SAXParseException`.

Author:
  Herbie Ong
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.StringBuffer` | `message`
`private static long` | `serialVersionUID`

Constructor Summary
`OfficeDocumentException(java.lang.Exception e)` Constructor, creates exception with the message corresponding to the message value of the provided exception.
`OfficeDocumentException(org.xml.sax.SAXException e)` Constructor, capturing additional information from the `SAXException`.
`OfficeDocumentException(java.lang.String s)` Constructor, creates exception with provided message.

Method Summary
`java.lang.String` | `getMessage()` Returns the message value for the `Exception`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### message

    java.lang.StringBuffer message

Constructor Detail

### OfficeDocumentException

    public OfficeDocumentException(org.xml.sax.SAXException e)

  Constructor, capturing additional information from the `SAXException`.

  Parameters:
    `e` - The `SAXException`.

### OfficeDocumentException

    public OfficeDocumentException(java.lang.String s)

  Constructor, creates exception with provided message.

  Parameters:
    `s` - Message value for the exception.

### OfficeDocumentException

    public OfficeDocumentException(java.lang.Exception e)

  Constructor, creates exception with the message corresponding to the message value of the provided exception.

  Parameters:
    `e` - The Exception.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message value for the `Exception`.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The message value for the `Exception`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD